#include <iostream>
#include <cmath>
using namespace std;
 
   int main()
   {
        int kom, poz,min,max,p;
        cin>>kom;
        cin>>poz;
        int poz_kom[kom+1];
        for(int i=0;i<kom;i++){
             cin>>poz_kom[i];
        }
        poz_kom[kom]=poz;
        min=poz_kom[0];
        max=poz_kom[0];
        for(int i=0;i<=kom;i++){
            if(poz_kom[i]<min){
                min=poz_kom[i];
            }
        }
        for(int i=0;i<=kom;i++){
            if(poz_kom[i]>max){
                max=poz_kom[i];
            }
        }
        if(min==poz){
            p=max-poz;
           
            
        }
        else if(max==poz){
            p=poz-min;
            
        }
        else if(max!=poz && min!=poz){
            if(poz-min>=max-poz){
                p=2*(max-poz)+poz-min;
            }
            else{
                p=2*(poz-min)+max-poz;
               
            }
        }
        cout<<p;
    }